$opacity: 0.55;
$backColor: #1E252B;

*,
*::after,
*::before {
	padding: 0;
	margin: 0;
	border: 0;
	box-sizing: border-box;
}

a {
	text-decoration: none !important;
}

ul,
ol,
li {
	list-style: none;
}

img {
	vertical-align: top;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-size: inherit;
	font-weight: inherit;
}

html,
body {
	font-size: 13px;
	font-weight: 500;
	font-family: Poppins;
	color: #fff;
	background-color: #1E252B;

	@media (max-width: 767px) {
		font-size: 11px;
	}
}

/*-------------------------------------------Special Classes------------------------------------*/

.wrapper {
	min-height: 100%;
	overflow: hidden;
	position: relative;
}

._container {
	max-width: 1244px;
	margin: 0 auto;
	padding: 0 15px;
	box-sizing: content-box;
}

._button--theme--orange {
	background: #FF6E30;
	border-radius: 8px;
	font-weight: 600;
	color: #FDF5FF;
	cursor: pointer;
	height: 24px;
	font-style: normal;
	line-height: 24px;
	padding: 0 5px;

	@media (max-width: 479px) {
		font-size: 12px;
	}

	&:hover {
		background: #FF7B42;
	}
}

/*-------------------------------------------Blocks------------------------------------*/

.logo {
	display: flex;
	width: 140px;
	justify-content: space-between;
	align-items: center;

	&__text {
		color: #fff;
		font-size: 17px;
	}
}

.form {
	height: 64px;
	background: #283036;
	border-radius: 15px;
	display: flex;
	align-items: center;
	padding-left: 15px;

	@media (max-width: 479px) {
		padding-left: 10px;
	}

	&__input {
		background: none;
		color: #fff;
		opacity: $opacity;
		outline: none;
		flex: 1 1 auto;
		margin: 0 15px;

		@media (max-width: 479px) {
			font-size: 11px;
			margin: 0 5px;
		}
	}

	&__button {
		width: 138px;
		height: 48px;
		margin: 0 10px 0 auto;
	}
}

.header-block {
	position: relative;
	z-index: 20;

	&__title {
		color: #E8E9EA;
		font-size: 40px;
		line-height: 140%;
		margin-bottom: 30px;

		@media (max-width: 767px) {
			font-size: 30px;
		}
	}

	&__text {
		opacity: $opacity;
		font-size: 14px;
		font-weight: 400;
		line-height: 167%;
		margin-bottom: 60px;
		max-width: 430px;

		@media (max-width: 767px) {
			font-size: 12px;
		}
	}

	.text-orange {
		color: #FF6E30;
	}
}

.header-block--center {
	text-align: center;

	.header-block__text {
		margin-left: auto;
		margin-right: auto;
	}
}

.card {
	padding: 33px;

	&__name-block {
		width: 100%;
		height: 66%;
		float: left;
	}

	&__icon {
		margin-right: 30px;
		height: 100%;
	}

	&__name {
		opacity: 0.78;
		font-size: 18px;
		line-height: 40px;
	}

	&__status {
		opacity: 0.55;
		font-size: 16px;
		color: #FFA537;
	}

	&__description {
		opacity: 0.55;
	}

	&__buttons-block {}

	&__button-like {}

	&__button-download {}

	&__link {}
}

.card--active {
	margin-top: -20px;
}


/*-------------------------------------------Main Styles------------------------------------*/

.header {
	padding: 26px 0;
	height: 48px;
	box-sizing: content-box;

	.header__container {
		display: flex;
		align-items: center;

		.header__logo {
			height: 100%;
		}

		.header__menu {
			flex: 1 1 auto;
			display: flex;
			justify-content: space-between;
			align-items: center;
			padding-left: 30px;

			.header__list {
				margin: 0 auto;
				padding: 0 30px;
				box-sizing: content-box;
				display: flex;
				justify-content: space-between;
				align-items: center;
				flex-wrap: wrap;
				gap: 45px;

				@media (max-width: 1024px) {
					gap: 15px;
				}

				.header__item {
					font-style: normal;
					opacity: $opacity;

					.header__link {
						line-height: 24px;
						color: inherit;
					}

					.header__select {
						background: none;
						color: inherit;
						font-weight: inherit;
						font-family: inherit;
						cursor: pointer;
						background-color: $backColor;

						.header__select-option {
							background-color: $backColor;
							color: #fff;

							@media(max-width: 767px) {
								background-color: #0F1215;
							}

							&:first-child {
								color: #9F9F9F;
								background-color: #0f1112;
							}
						}
					}
				}
			}

			.header__block-buttons {
				display: flex;
				flex-wrap: wrap;
				justify-content: flex-end;
				gap: 5px;

				.header__button {
					width: 118px;
					height: 48px;
					border-radius: 8px;
					cursor: pointer;
				}

				.header__button:first-child {
					background: none;
					border-radius: 8px;
					font-weight: 600;
					color: #FDF5FF;

					&:hover {
						background-color: #23272B;
					}
				}
			}

			@media (max-width: 767px) {
				z-index: 50;
				background-color: #0F1215;
				position: fixed;
				flex-direction: column;
				justify-content: space-around;
				transition: all 1s ease;
				height: 100%;
				width: 80%;
				right: -100%;
				top: 0%;

				&.header__menu--show {
					right: 0%;
				}

				.header__list {
					height: 40%;
					flex-direction: column;

					.header__item {
						font-size: 20px;

						.header__select {
							font-size: inherit;
						}
					}
				}

				.header__block-buttons {
					justify-content: center;
					gap: 30px;

					.header__button {
						width: 150px !important;
						height: 60px !important;
						font-size: 18px;
					}
				}
			}

			@media (max-width: 479px) {
				width: 100%;
			}
		}

		.header__button-toggle {
			z-index: 100;
			display: flex;
			flex-direction: column;
			align-items: flex-end;
			position: fixed;
			top: 25px;
			right: 25px;
			height: 20px;
			width: 20px;
			cursor: pointer;

			@media (min-width: 767px) {
				display: none;
			}

			&:hover>span {
				background-color: #FF7B42;
			}

			span {
				height: 3px;
				width: 20px;
				background-color: #FF6E30;
				transition: all 0.3s ease-in;

				&:not(:last-child) {
					margin-bottom: 5px;
				}
			}

			&:hover>span:nth-child(2) {
				width: 15px;
			}

			&.header__button-toggle--active {
				&:hover>span:nth-child(1) {
					width: 25px;
				}

				span {
					width: 30px;

					&:nth-child(1) {
						margin-top: 8px;
						transform: rotate(45deg);
					}

					&:nth-child(2) {
						display: none;
					}

					&:nth-child(3) {
						margin-top: -8px;
						transform: rotate(-45deg);
					}
				}
			}
		}
	}
}

.page {

	&__main-block {}

	&__mp-tools {}

	&__brands {}

	&__contributor {}
}

.main-block {
	margin-top: 78px;
	position: relative;

	@media (max-width: 479px) {
		margin-top: 30px;
	}

	.main-block__container {

		.main-block__body {
			position: relative;
			z-index: 5;
			max-width: 600px;

			.main-block__title {
				color: #E8E9EA;
				font-size: 40px;
				line-height: 140%;
				margin-bottom: 30px;

				.text-orange {
					color: #FF6E30;
				}
			}

			.main-block__text {
				opacity: $opacity;
				margin-bottom: 60px;
				font-size: 14px;
				font-weight: 400;
				line-height: 167%;
			}

			.main-block__search-form {
				max-width: 498px;
				margin-bottom: 110px;

				.form__input {
					min-width: 187px;
				}
			}

			.main-block__social-nets {
				padding-bottom: 20px;

				.main-block__list {
					display: flex;
					gap: 30px;

					.main-block__item {}
				}
			}
		}
	}

	.main-block__image {
		z-index: 0;
		position: absolute;
		bottom: 0;
		right: rem(40);
	}
}

.mp-tools {

	&__container {}

	&__header-block {}

	&__body {}

	&__row {}

	&__card {}
}

.brands {

	&__container {}

	&__body {
		width: 100%;
		background-color: #21282F;
		border-radius: 25px;
		position: relative;

		&::after {
			content: '';
			display: block;
			position: absolute;
			border-radius: 25px;
			width: calc(100% + 2px);
			height: calc(100% + 2px);
			left: -1px;
			top: -100px;
			z-index: -1;

			background-image: linear-gradient(105deg, rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0) 100%);
		}
	}

	&__title {}

	&__list {}

	&__item {}
}


.contributor {
	margin-top: 250px;

	.contributor__container {

		.contributor__header-block {}

		.contributor__form {
			margin: 0 auto;
			max-width: 549px;
			margin-bottom: 240px;
		}
	}
}

.footer {
	border-top: 0.5px solid rgba(255, 255, 255, 0.15);
	padding: 70px 5% 100px;

	&__container {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-between;
		gap: 50px;
	}

	&__block {
		@media (max-width: 950px) {
			flex: 0 1 calc(50% - 50px);
		}

		@media (max-width: 479px) {
			margin: 0 auto;
			flex: 0 1 60%;
		}
	}

	&__block--main {
		max-width: 260px;

		@media (min-width: 767px) {
			margin-right: 10%;
		}
	}

	&__logo {
		margin-bottom: 25px;
	}

	&__copyright {
		margin-bottom: 20px;
		opacity: 0.9;
	}

	&__text {
		opacity: $opacity;
		font-weight: 400;
		line-height: 179%;
	}

	&__title {
		margin-bottom: 20px;
		font-size: 16px;
		opacity: 0.9;
	}

	&__list {}

	&__item {
		margin-bottom: 10px;
		opacity: $opacity;

		&:last-child {
			margin-bottom: 0;
		}
	}

	&__link {
		color: #fff;
	}
}